Subject: Re: bug#30342: 25.3; xfont_draw in xfont.c does the same thing in both branches of an if statement

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Feb 2018 18:17:58 +0200

> From: Noam Postavsky <[email-masked]>
> Date: Sat, 03 Feb 2018 21:14:41 -0500
> Cc: [email-masked]
> 
> Daniel Brooks <[email-masked]> writes:
> 
> > I happened to be looking at this function and noticed that both sides of
> > the with_background condition do exactly the same thing; I'm sure it
> > gradually got so.
> >
> > http://git.savannah.gnu.org/cgit/emacs.git/tree/src/xfont.c#n1046
> 
> They don't do *exactly* the same thing, one calls XDrawString and the
> other XDrawImageString.

Right.  So I think there's no problem here, and this bug can be
closed.